# CEGUI::TabControlProperties::TabTextPadding Class Reference

Property to access the tab text padding setting of the tab control. More...

Inheritance diagram for CEGUI::TabControlProperties::TabTextPadding:

[legend]
Collaboration diagram for CEGUI::TabControlProperties::TabTextPadding:

[legend]
List of all members.

## Public Member Functions

String | get (const PropertyReceiver *receiver) const
| Return the current value of the Property as a String.
void | set (PropertyReceiver *receiver, const String &value)
| Sets the value of the property.
bool | isDefault (const PropertyReceiver *receiver) const
| Returns whether the property is at it's default value.
String | getDefault (const PropertyReceiver *receiver) const
| Returns the default value of the Property as a String.

## Detailed Description

Property to access the tab text padding setting of the tab control.

Usage:
  - Name: TabTextPadding
  - Format: "[float]"

## Member Function Documentation

String CEGUI::TabControlProperties::TabTextPadding::get | ( | const PropertyReceiver * | receiver | ) | const`[virtual]`

Return the current value of the Property as a String.

Parameters:

  | receiver | Pointer to the target object.

Returns:
  String object containing a textual representation of the current value of the Property

Implements CEGUI::Property.

String CEGUI::TabControlProperties::TabTextPadding::getDefault | ( | const PropertyReceiver * | receiver | ) | const`[virtual]`

Returns the default value of the Property as a String.

Parameters:

  | receiver | Pointer to the target object.

Returns:
  String object containing a textual representation of the default value for this property.

Reimplemented from CEGUI::Property.

bool CEGUI::TabControlProperties::TabTextPadding::isDefault | ( | const PropertyReceiver * | receiver | ) | const`[virtual]`

Returns whether the property is at it's default value.

Parameters:

  | receiver | Pointer to the target object.

Returns:
  - true if the property has it's default value.
  - false if the property has been modified from it's default value.

Reimplemented from CEGUI::Property.

void CEGUI::TabControlProperties::TabTextPadding::set | ( | PropertyReceiver * | receiver,
|  | const String & | value
| ) | `[virtual]`

Sets the value of the property.

Parameters:

  | receiver | Pointer to the target object.
  | value | A String object that contains a textual representation of the new value to assign to the Property.

Returns:
  Nothing.

Exceptions:

  | InvalidRequestException | Thrown when the Property was unable to interpret the content of value.

Implements CEGUI::Property.